## ifupdown 0.6.4

=== Makefile ===
CFLAGS := -Wall -W -g -O2 -D'IFUPDOWN_VERSION="0.6.4"'
CC := gcc

CFILES := addrfam.c execute.c config.c main.c archlinux.c
HFILES := header.h archlinux.h
PERL := defn2c.pl defn2man.pl
DEFNFILES := inet.defn ipx.defn inet6.defn

OBJ := main.o addrfam.o execute.o config.o \
	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o

MAN := $(patsubst %.defn,%.man,$(DEFNFILES))

default : executables
all : executables docs

executables : ifup ifdown ifup.8 ifdown.8 interfaces.5
docs : ifupdown.ps.gz ifup.8.ps.gz interfaces.5.ps.gz ifupdown.pdf

.PHONY : executables 
.PHONY : clean clobber

install :
	install -m 0755 -d     ${BASEDIR}/sbin
	install -m 0755 ifup   ${BASEDIR}/sbin
	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifdown	

clean :
	rm -f *.aux *.toc *.log *.bbl *.blg *.ps *.eps
	rm -f *.o *.d $(patsubst %.defn,%.c,$(DEFNFILES)) *~
	rm -f $(patsubst %.defn,%.man,$(DEFNFILES))
	rm -f ifup ifdown interfaces.5 ifdown.8
	rm -f ifupdown.dvi *.ps{,.gz} ifupdown.pdf

clobber : clean
	rm -f ifupdown.tex $(PERL) $(CFILES) $(HFILES) $(DEFNFILES)

distclean : clobber
	rm -f makecdep.sh makenwdep.sh Makefile
ifup: $(OBJ)
	$(CC) $(CFLAGS) -o ifup $^

ifdown: ifup
	ln -sf ifup ifdown
interfaces.5: interfaces.5.pre $(MAN)
	LINE=$$(grep -n '^##ADDRESSFAM##$$' $< | sed 's/:.*//g'); \
	WC=`wc -l < $<`;                                          \
	(                                                         \
	  head -$$(($$LINE - 1)) $<;                              \
	  cat $(MAN);                                             \
	  tail -$$(($$WC - $$LINE)) $<;                           \
	) > $@

ifdown.8: ifup.8
	ln -sf $< $@

%.5.ps: %.5
	groff -mandoc -Tps $< > $@
%.8.ps: %.8
	groff -mandoc -Tps $< > $@
ifupdown.ps: modules.eps execution.eps
ifupdown.pdf: modules.pdf execution.pdf
%.tex : %.nw
	noweave -delay -index -latex $< >$@

%.bbl : %.tex biblio.bib
	latex $<
	bibtex $(basename $<)

%.dvi : %.tex %.bbl
	latex $<
	latex $<

%.pdf : %.tex %.bbl
	pdflatex $<
	pdflatex $<

%.ps : %.dvi
	dvips -o $@ $<

%.gz : %
	gzip --best --stdout $< >$@
%.eps : %.dia
	dia -e $@ $<

%.pdf : %.eps
	gs -q -sDEVICE=pdfwrite -dNOPAUSE -sOutputFile=$@ - < $<
%.d: %.nw makenwdep.sh
	./makenwdep.sh $< > $@
%.d: %.c makecdep.sh
	./makecdep.sh $< > $@
%.c : %.defn defn2c.pl
	./defn2c.pl $< > $@
%.man: %.defn defn2man.pl
	./defn2man.pl $< > $@

include ifupdown.d

## ifupdown 0.6.7

=== Makefile ===
CFLAGS := -Wall -W -g -O2 -D'IFUPDOWN_VERSION="0.6.5"'
CC := gcc

CFILES := addrfam.c execute.c config.c main.c archlinux.c
HFILES := header.h archlinux.h
PERLFILES := defn2c.pl defn2man.pl
DEFNFILES := inet.defn ipx.defn inet6.defn

OBJ := main.o addrfam.o execute.o config.o \
	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o

MAN := $(patsubst %.defn,%.man,$(DEFNFILES))

default : executables
all : executables docs

executables : ifup ifdown ifup.8 ifdown.8 interfaces.5
docs : ifupdown.ps.gz ifup.8.ps.gz interfaces.5.ps.gz ifupdown.pdf

.PHONY : executables 
.PHONY : clean clobber

install :
	install -m 0755 -d     ${BASEDIR}/sbin
	install -m 0755 ifup   ${BASEDIR}/sbin
	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifdown	

clean :
	rm -f *.aux *.toc *.log *.bbl *.blg *.ps *.eps *.pdf
	rm -f *.o *.d $(patsubst %.defn,%.c,$(DEFNFILES)) *~
	rm -f $(patsubst %.defn,%.man,$(DEFNFILES))
	rm -f ifup ifdown interfaces.5 ifdown.8
	rm -f ifupdown.dvi *.ps{,.gz}

clobber : clean
	rm -f ifupdown.tex $(PERLFILES) $(CFILES) $(HFILES) $(DEFNFILES)

distclean : clobber
	rm -f makecdep.sh makenwdep.sh Makefile
ifup: $(OBJ)
	$(CC) $(CFLAGS) $^ $(LDFLAGS) $(OUTPUT_OPTION)

ifdown: ifup
	ln -sf ifup ifdown
interfaces.5: interfaces.5.pre $(MAN)
	sed $(foreach man,$(MAN),-e '/^##ADDRESSFAM##$$/r $(man)') \
	     -e '/^##ADDRESSFAM##$$/d' < $< > $@	

ifdown.8: ifup.8
	ln -sf $< $@

%.5.ps: %.5
	groff -mandoc -Tps $< > $@
%.8.ps: %.8
	groff -mandoc -Tps $< > $@
ifupdown.dvi: modules.eps execution.eps
ifupdown.ps: modules.eps execution.eps
ifupdown.pdf: modules.pdf execution.pdf
%.tex : %.nw
	noweave -delay -index -latex $< >$@

%.bbl : %.tex biblio.bib
	latex $<
	bibtex $(basename $<)

%.dvi : %.tex %.bbl
	latex $<
	latex $<

%.pdf : %.tex %.bbl
	pdflatex $<
	pdflatex $<

%.ps : %.dvi
	dvips -o $@ $<

%.gz : %
	gzip --best --stdout $< >$@
%.eps : %.dia
	dia --nosplash -e $@ $<

%.pdf : %.eps
	gs -q -sDEVICE=pdfwrite -dNOPAUSE -sOutputFile=$@ - < $<
%.d: %.nw makenwdep.sh
	./makenwdep.sh $< > $@
%.d: %.c makecdep.sh
	./makecdep.sh $< > $@
%.c : %.defn defn2c.pl
	./defn2c.pl $< > $@
%.man: %.defn defn2man.pl
	./defn2man.pl $< > $@

include-deps := YES
ifneq "" "$(filter %clean,$(MAKECMDGOALS))"
include-deps := NO
endif
ifeq "clobber" "$(MAKECMDGOALS)"
include-deps := NO
endif
ifeq "$(strip $(include-deps))" "YES"
include ifupdown.d
endif

## ifupdown 0.6.7osso

=== debian/changelog ===
ifupdown (0.6.7osso) unstable; urgency=low

  * build-dep on nowebm removed
  * build-dep on po-debconf added 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sat,  8 Apr 2006 23:08:21 +0300

ifupdown (0.6.7) unstable; urgency=low

  * Don't use dirname/basename in ifupdown init script; they're in /usr/bin.
    (Closes: Bug#304188)

  * Check for free space on /dev/shm when working out where to link
    /e/n/run. Thanks to Jose Manuel Delgado Mendinueta. (Closes:
    Bug#303656)

 -- Anthony Towns <ajt@debian.org>  Mon,  2 May 2005 23:57:25 +1000

ifupdown (0.6.6) unstable; urgency=low

  * The "what does wine come in" release

  * Fix brown paper bag bug where %iface% maps to the logical interface
    name rather than the hardware one. Thanks to Paul Hampson for being
    the first to spot it once the BTS was working again. Also add a test
    case. (Closes: Bug#303148)

  * Fix brown paper bag bug where "test -e" doesn't actually identify a
    dangling /etc/network/run symlink on upgrade. (Closes: Bug#303225)

  * Fix brown paper bag bug where we only consider pointing
    /etc/network/run at /dev/shm if /dev/shm *isn't* in /proc/mounts. (No
    bug filed yet, though...)

 -- Anthony Towns <ajt@debian.org>  Tue,  5 Apr 2005 14:19:21 +1000

ifupdown (0.6.5) unstable; urgency=low

  * The Gernot Heiser release -- aged like a fine South Australian wine.

  * Switch to Debian-native versioning / source packaging for the time being.
    (Closes: Bug#84697)
  * Change Section: to base, to match overrides.

  * Thanks to Michael Weber, Javier Fernandez-Sanguino Pena, Marc
    Haber, and Thomas Hood for NMUs. (Closes: Bug#150773, Bug#151465,
    Bug#152893, Bug#208726, Bug#209006, Bug#242314, Bug#263913,
    Bug#266282, Bug#297762)

  * debian/rules: Don't re-build unnecessarily. Thanks to Michael Banck
    (Closes: Bug#296273)

  * Add post-up, pre-down as aliases for "up" and "down". (Closes: Bug#62633)

  * Deprecate (undocument) "--exclude" option.

  * Add support for "allow-*" lines for systems such as hotplug or ifplugd.
    Usage is "ifup --allow=hotplug <interfaces>"; only the allowed interfaces
    whill actually be tried. (Closes: Bug#300937)

  * Satiate the POSIX sh monkeys, makenwdep.sh now uses printf for \t's,
    not echo -e. (Closes: Bug#294970)

  * Switch to using "/etc/network/run/ifstate" instead of
    "/etc/network/ifstate". Simplify all the complicated hackery dealing
    with that. Use myreadlink function instead of /lib/init/readlink.
    (Closes: Bug#302519)

  * Make debian/rules test always succeed when cross-building. Thanks
    to NIIBE Yutaka. (Closes: Bug#283649)

  * Add VERBOSITY variable for scripts, invoke run-parts with --verbose.
    Thanks to Michael Weber. (Closes: Bug#88946)
  * Add LOGICAL variable for scripts. (Doesn't work for mapping scripts yet
    though)
  * Add PHASE variable for scripts, same as MODE but more detailed;
    pre-up, post-down, etc. (Closes: Bug#286155)

  * Document lack of support for end-of-line comments in interfaces(5).
    (Closes: Bug#79683)

  * Remove conflict with old, experimental-only version of dhcp-client.

 -- Anthony Towns <ajt@debian.org>  Mon,  4 Apr 2005 23:41:06 +1000

ifupdown (0.6.4-4.12) unstable; urgency=low

  * Non-maintainer upload
  * Begin description synopsis with lower case letter
  * postinst:
    + Create run dir at the target of /etc/network/run if it is absent
      (Closes: #297898)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Thu,  3 Mar 2005 19:05:05 +0100

ifupdown (0.6.4-4.11) unstable; urgency=low

  * Non-maintainer upload
  * postinst:
    + Do not make /etc/network/run a symlink to /dev/shm/network/
      if devfs is in use.  (Closes: #266479)
  * /etc/init.d/ifupdown:
    + Don't accept arguments to "start" method
    + Fix initscript output
  * ifup.8:
    + Correct typo (Closes: #287172)
  * interfaces.5:
    + Correct description of what happens when user commands fail
      (Closes: #286166)
    + Remove reference to VERBOSE which isn't implemented in this
      version  (Reported in #88946)
  * Add it.po thanks to Luca Monducci  (Closes: #284123)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun, 12 Sep 2004 14:46:29 +0200

ifupdown (0.6.4-4.10) unstable; urgency=low

  * Non-maintainer upload. Fix critical bugs.
  * fix ifstate cleaning in init script. (Closes: #264134).
  * fix /etc/network/run creation in postinst (Closes: #265165).

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 17 Aug 2004 06:38:16 +0200

ifupdown (0.6.4-4.9) unstable; urgency=low

  * Non-maintainer upload: bug fixes and some improvements, unfortunately
    they will not make it to sarge...
   [Javier Fernandez-Sanguino]
    - Added a generic --exclude option (modified ifupdown.nw and ifup.8)
      This way other scripts (such as /e/i/networking in netbase)
      can avoid bringing down 'lo' on shutdown doing: 'ifdown -e lo -a'
      This will help close #254705, #256680 and #208700.
    - Make it conflict with the dch-client version from experimental 
      (Closes: #242537, #242527)
    - Added usage examples provided by Thomas Hood (Closes: #247772)
    - L10n:
    	+ Updated catalan debconf templates provided by Aleix Badia i Bosch 
        (Closes: #248717)
        + Included Lithuanian translation of debconf templates provided
        by Gintautas Miliauskas (Closes: #249233)
    - /etc/init.d/ifupdown: Exit with error if called with unknown arguments
    - ifupdown.nw: fix FTBFS with gcc-3.4 (Closes: #258965)
    - ifup.8: ammended manpage describing how ifdown really works 
      (Closes: #259609)
    - Remove XSI:isms in several scripts (Closes: #255574)
    - debian/po/POTFILES.in:  point to templates.master instead of templates
   [Thomas Hood]
    - debian/control:
       + Build-Depend on version of debhelper with dh_installinit --name
       + Put dhcp3-client before dhcp-client in disjunctive dependency
         (Closes: #250713)
     - Add /etc/default/ifupdown (currently not used, will be in the


=== debian/control ===
Source: ifupdown
Section: base
Priority: important
Maintainer: Anthony Towns <ajt@debian.org>
Standards-Version: 3.6.1.0
Build-Depends: debhelper (>= 4.1.68), po-debconf

Package: ifupdown
Architecture: any
Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}
Suggests: iproute, dhcp3-client | dhcp-client, ppp
Replaces: netbase (<< 4.00)
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

## ifupdown 0.6.7ubuntu1

=== debian/changelog ===
ifupdown (0.6.7ubuntu1) breezy; urgency=low

  * Resynchronise with Debian, resolving merge conflicts.
  * Remove the initscripts dependency, since we now use our own readlink.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 May 2005 06:43:06 +0000

ifupdown (0.6.4-4.10ubuntu4) breezy; urgency=low

  * Fixed typo in interfaces (5) man page (closes: Ubuntu #9854)

 -- Charles Majola <charles@ubuntu.com>  Thu, 12 May 2005 10:12:36 +0200

ifupdown (0.6.4-4.10ubuntu3) hoary; urgency=low

  * Add a dependency on initscripts (>= 2.85-12) to make sure we get
    a working /lib/init/readlink for our scripts (Ubuntu bug #8605)

 -- Adam Conrad <adconrad@0c3.net>  Tue,  5 Apr 2005 10:29:07 +0000

ifupdown (0.6.4-4.10ubuntu2) hoary; urgency=low

  * Fancify new ifupdown-clean init script
  * Re-fancify ifupdown init script due to many conflicts

 -- Matt Zimmerman <mdz@canonical.com>  Thu, 28 Oct 2004 21:00:28 -0700

ifupdown (0.6.4-4.10ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 27 Oct 2004 21:41:56 +0100

ifupdown (0.6.4-4.8ubuntu2) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 14:55:12 -0400

ifupdown (0.6.4-4.8ubuntu1) warty; urgency=low

  * debian/ifupdown.init: pretty initscript

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 11:00:40 -0400

## ifupdown 0.6.7ubuntu7

=== debian/changelog ===
ifupdown (0.6.7ubuntu7) dapper; urgency=low

  * Fix up the interfaces file removing duplicated "auto" lines, and
    don't write them in the first place.  Ubuntu #29654.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 30 Jan 2006 12:45:19 +0000

ifupdown (0.6.7ubuntu6) dapper; urgency=low

  * Rewrite the way that ifup and ifdown read and write the state file.
    Instead of storing it in memory and holding a lock on it (preventing
    concurrent processes from actually being concurrent) use atomic read and
    write functions that only hold the lock for very short periods.

  * Write to the state file when we start bringing up or tearing down the
    interface, so we don't ever try to do the same operation at the same
    time.
  * Update the state file once the operation is complete to ensure we
    record the actual status of it.
  
  * Restore the dhcp wait, so "ifup eth0" will hang around until DHCP is
    either successful or times out.  Adjust the udev rule again so that
    udevplug doesn't hang around.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 26 Jan 2006 15:56:54 +0000

ifupdown (0.6.7ubuntu5) dapper; urgency=low

  * Don't wait for dhcp to complete ... there's a general ifup problem that
    it doesn't have any state to record "I'm bringing this interface up",
    so no way to avoid multiple dhcp invocations for the same interface which
    end up blocking on each other.  This is a short-term hack until I sit
    down and think about this properly (probably next week at the sprint).

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 24 Jan 2006 18:04:53 +0000

ifupdown (0.6.7ubuntu4) dapper; urgency=low

  * Install new loopback init script at S:S08 which brings up the loopback
    (127.0.0.1) network device early enough for anything needing DHCP.  This
    also deals with creating /var/run/network if necessary.
  * Move /etc/network/run/ifstate to /var/run/network/ifstate
  * Drop the ifupdown and ifupdown-clean init scripts as everything they did
    is obsolete or already taken care of.
  
  * Ship a udev rule that brings network devices up or down if the device
    is marked "auto" in the configuration file.
  * Convert existing /etc/network/interfaces file with "mapping hotplug"
    lines to just use "auto" lines.
  
  * Adjusted "ifup -a" and "ifdown -a" to not report when interfaces are
    already up or down.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 23 Jan 2006 18:56:54 +0000

ifupdown (0.6.7ubuntu3) dapper; urgency=low

  * Silence init.d/ifupdown-clean

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  4 Jan 2006 09:46:09 -0800

ifupdown (0.6.7ubuntu2) dapper; urgency=low

  * Change the dhclient3 leases path to /var/lib/dhcp3 so the leases survive
    a reboot.  (Ubuntu: #18148)

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 23 Nov 2005 16:11:30 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: important
 Maintainer: Anthony Towns <ajt@debian.org>
 Standards-Version: 3.6.1.0
-Build-Depends: debhelper (>= 4.1.68), po-debconf
+Build-Depends: debhelper (>= 4.1.68), nowebm
 
 Package: ifupdown
 Architecture: any
-Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}
+Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3)
 Suggests: iproute, dhcp3-client | dhcp-client, ppp
 Replaces: netbase (<< 4.00)
 Description: high level tools to configure network interfaces

## ifupdown 0.6.8

=== debian/changelog ===
ifupdown (0.6.8) unstable; urgency=low

  * Add myself as co-maintainer with approval from Anthony Towns.
  * Change path of dhclient.leases to make sure the dhcp state survive
    reboots. (Closes: #311777)
  * Change leasehours option value to match the option name. 
  * Async ifup/ifdown modication based on patch from Scott James
    Remnant and Ubuntu.  (Closes: #347580)
    - Rewrite the way that ifup and ifdown read and write the state
      file.  Instead of storing it in memory and holding a lock on it
      (preventing concurrent processes from actually being concurrent)
      use atomic read and write functions that only hold the lock for
      very short periods.
    - Write to the state file when we start bringing up or tearing
      down the interface, so we don't ever try to do the same
      operation at the same time.
    - Update the state file once the operation is complete to ensure
      we record the actual status of it.
  * Acknowledge NMUs. (Closes: #311011, #311443, #353154, #339834, #311928,
    #336931, #338849, #362093, #330230, #386794, #384866, #312988, #266021,
    #384438, #387155, #387453, #387677)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 28 Sep 2006 18:14:47 +0200

ifupdown (0.6.7-0.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix the 'client' dhcp option to work as documented.  Patch from
    Roderick Schertler.  (Closes: #311011)
  * Change section from base to admin to match the override file.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 15 Sep 2006 23:26:04 +0200

ifupdown (0.6.7-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Correct typo in interfaces(5).  (Closes: #311443)
  * Correct typo in ifupdown.nw. (Closes: #353154)
  * Avoid segfault on freebsd. Patch from Brian M. Carlson. (Closes: #339834)

  [ Translations ]
  * Added Vietnamese (vi) by Clytie Siddall. (Closes: #311928)
  * Added Portuguese (pt) by Simão Pedro Cardoso. (Closes: #336931)
  * Updated Swedish (sv) by Daniel Nylander. (Closes: #338849)
  * Added Galician (gl) by Jacobo Tarrio. (Closes: #362093)
  * Added Norwegian Bokmaal (nb) by Petter Reinholdtsen.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 14 Sep 2006 15:02:06 +0200

ifupdown (0.6.7-0.2) unstable; urgency=low

  * Non-maintainer upload approved by maintainer.
  * Add LSB-style dependency information to init.d scripts.
    (Closes: #330230)
  * Make sure the init.d scripts are added in dependency order.
    (Closes: #386794)
  * Updated standards-version from 3.6.1.0 to 3.7.2.  No changes needed.
  * Update the FSF address in the copyright file to keep lintian happy.
  * Use log_* functions from lsb-base in init.d scripts.  Add lsb-base
    as dependency.  Based on patch from Ubuntu.  (Closes: #384866)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 12 Sep 2006 16:22:43 +0200

ifupdown (0.6.7-0.1) unstable; urgency=low

  * Non-maintainer upload with authorization from maintainer.
  * Support for link-local IPv6 gateways (Closes: #312988)
      - patch from Florian Zumbiehl.
  * Support for manual IPv6 method (Closes: #266021)
      - patch from Rémi Denis-Courmont.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Wed, 23 Aug 2006 17:01:03 +0200

=== _darcs/current/debian/control ===
Source: ifupdown
Section: base
Priority: important
Maintainer: Anthony Towns <ajt@debian.org>
Standards-Version: 3.6.1.0
Build-Depends: debhelper (>= 4.1.68), nowebm

Package: ifupdown
Architecture: any
Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}
Suggests: iproute, dhcp3-client | dhcp-client, ppp
Replaces: netbase (<< 4.00)
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: ifupdown
-Section: base
+Section: admin
 Priority: important
 Maintainer: Anthony Towns <ajt@debian.org>
-Standards-Version: 3.6.1.0
+Uploaders: Petter Reinholdtsen <pere@debian.org>
+Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 4.1.68), nowebm
 
 Package: ifupdown
 Architecture: any
-Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3)
+Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base
 Suggests: iproute, dhcp3-client | dhcp-client, ppp
 Replaces: netbase (<< 4.00)
 Description: high level tools to configure network interfaces

=== debian/rules ===
#!/usr/bin/make -f

######################################################################
# BUILD NOTES
#
# ifupdown's written in litprog using noweb. noweb is written in icon.
# icon isn't as portable as one might hope (it needs to have bits recoded
# for each arch and OS it's ported to. ugh).
#
# So. The "upstream" source is made to not include any of the generated
# files. That's neat and tidy. If you want to modify anything, you edit
# the .nw file.
#
# Once you've done all the Debian changes, you run debian/rules binary,
# and get all the .c files and such updated. Once you're done, you
# run debian/rules clean, which leaves the generated .c files around
# for porters. You then generate a .diff.gz, and all should be well.
#
# Useful targets of the toplevel makefile:
# clobber:
#   * gets rid of all the generated files except Makefile,
#     make{c,nw}dep.sh, which are needed to bootstrap
#
# distclean:
#   * removes ALL generated files.  Use with care.
#
# docs: 
#   * builds the documentation. Note that this is not done per
#     default (only executables are built). If this is added to
#     the default build process (which will not be done in the near
#     future since dia requires an X display even if using the -e option) 
#     the 'tetex-base' and 'dia' packages would need to be added to the
#     Build-Dep
#
######################################################################

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# For working out whether we're cross-building
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# user/group of to-be-installed files
ROOT_USER  := 0
ROOT_GROUP := 0

ifeq (,$(wildcard /usr/bin/po2debconf))
PO2DEBCONF := no
MINDEBCONFVER := 0.5
else
PO2DEBCONF := yes
MINDEBCONFVER := 1.2.0
endif

configure:
	dh_testdir

build: build-stamp
build-stamp: # configure
	dh_testdir

	if [ -x /usr/bin/noweb ]; then \
	  $(MAKE) clobber; \
	else \
	  chmod a+rx defn2c.pl defn2man.pl makecdep.sh makenwdep.sh; \
	fi
	$(MAKE)
	touch build-stamp

test: build
	dh_testdir

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	chmod a+rx debian/testbuild
	@echo running debian/testbuild
	@if ! debian/testbuild; then \
	     echo '=================================================='; \
	     echo 'AUTOMATIC TESTS FAILED -- Something built wrong or'; \
	     echo 'there is a bug in the code!!! Either way something'; \
	     echo 'is completely screwed up!!! File a bug!'; \
	     echo ''; \
	     echo 'Aborting build.'; \
	     echo '=================================================='; \
	     exit 1; \
	fi
endif

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process
	rm -rf tests/
	rm -f build-stamp install-stamp
	-$(MAKE) clean

	dh_clean
ifeq ($(PO2DEBCONF),yes)
	# Hack for woody compatibility. This makes sure that the
	# debian/templates file shipped in the source package doesn't
	# specify encodings, which woody's debconf can't handle. If building
	# on a system with po-debconf installed (conveniently debhelper (>=
	# 4.1.16) depends on it), the binary-arch target will generate a
	# better version for sarge.
	echo 1 > debian/po/output
	po2debconf debian/templates.master > debian/templates
	rm -f debian/po/output
endif

install-stamp: install
install: build test
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs etc/network/if-pre-up.d etc/network/if-up.d etc/network/if-down.d etc/network/if-post-down.d

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install BASEDIR=`pwd`/debian/tmp

	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-0.5.x.pl \
		debian/tmp/usr/share/ifupdown/
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build-stamp install-stamp
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples contrib/*
	mv debian/tmp/usr/share/doc/ifupdown/examples debian/tmp/usr/share/doc/ifupdown/contrib
	dh_installexamples examples/*
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit --name=ifupdown-clean --no-start -- start 18 S .
	dh_installinit --name=ifupdown --no-start -- start 39 S .  start 36 0 6 .
	dh_installcron
#	dh_installmanpages
#	   ^-- can't do our symlink trick
	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 interfaces.5 debian/tmp/usr/share/man/man5/interfaces.5
	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 ifup.8 debian/tmp/usr/share/man/man8/ifup.8
	ln -s ifup.8 debian/tmp/usr/share/man/man8/ifdown.8
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
ifeq ($(PO2DEBCONF),yes)
	po2debconf -e utf8 debian/templates.master > debian/templates
endif
	dh_gencontrol -- -V'debconf-depends=debconf (>= $(MINDEBCONFVER)) | debconf-2.0'
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure test

## ifupdown 0.6.8ubuntu6

=== debian/changelog ===
ifupdown (0.6.8ubuntu6) feisty; urgency=low

  * Change DRIVERS!= to use the start/end trick, since DRIVERS!= doesn't
    work.  LP: #102675.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 10 Apr 2007 12:44:13 +0100

ifupdown (0.6.8ubuntu5) feisty; urgency=low

  * Change DRIVER to DRIVERS to suppress a warning, even though I think we
    really wanted the former.  LP: #102770.

 -- Scott James Remnant <scott@ubuntu.com>  Wed,  4 Apr 2007 10:27:14 +0100

ifupdown (0.6.8ubuntu4) feisty; urgency=low

  * Update udev rules so that devices without a driver don't get ifup
    or ifdown called for them, and are left to the S40networking script.
    LP: #78043.

 -- Scott James Remnant <scott@ubuntu.com>  Tue,  3 Apr 2007 16:11:28 +0100

ifupdown (0.6.8ubuntu3) feisty; urgency=low
  
  * ifupdown.nw: modprobe ipv6 before configuring it.
  (Closes LP: #7091)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 30 Mar 2007 08:54:50 +0200

ifupdown (0.6.8ubuntu2) feisty; urgency=low

  * ifupdown.nw: Add 'ipv4ll' method which uses avahi-autoipd to bring up an
    interface with an IPv4 link-layer address from 169.254.0.0/16 (aka
    'Zeroconf'). See https://wiki.ubuntu.com/ZeroConfNetworking for details.
    (This patch was prepared last November, but for some reason never made it
    to the archive)
  * debian/control: Set Ubuntu maintainer.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 20 Feb 2007 11:25:38 +0100

ifupdown (0.6.8ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - ship udev rules to call ifup
    - init script to bring up loopback seperately
    - ifstate file moved to /var/run/network/ifstate, no need to clean up
    - dhcp3 leases files moved to /var/lib/dhcp3

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 27 Nov 2006 13:16:58 +0000

## ifupdown 0.6.8ubuntu8

=== debian/changelog ===
ifupdown (0.6.8ubuntu8) gutsy; urgency=low

  * ifupdown.nw: use 100 as default route metric unless an explicit metric
    parameter is set in /etc/network/interface; this applies for static and
    dhcp interfaces and passes the -e IF_METRIC=%metric% option to dhclient{3}
    in order to accomplish this. For details see the launchpad bug
    (LP: #139403).

 -- Alexander Sack <asac@ubuntu.com>  Thu, 20 Sep 2007 00:38:33 +0200

ifupdown (0.6.8ubuntu7) gutsy; urgency=low

  * Fix a wrong example location into interfaces(5) manpage (LP: #97509).

 -- William Lima <wlima.amadeus@gmail.com>  Fri, 22 Jun 2007 15:14:23 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Anthony Towns <ajt@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anthony Towns <ajt@debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
 Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 4.1.68), nowebm
 
 Package: ifupdown
 Architecture: any
-Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base
+Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3)
 Suggests: iproute, dhcp3-client | dhcp-client, ppp
 Replaces: netbase (<< 4.00)
 Description: high level tools to configure network interfaces

=== _darcs/current/debian/rules ===
#!/usr/bin/make -f

######################################################################
# BUILD NOTES
#
# ifupdown's written in litprog using noweb. noweb is written in icon.
# icon isn't as portable as one might hope (it needs to have bits recoded
# for each arch and OS it's ported to. ugh).
#
# So. The "upstream" source is made to not include any of the generated
# files. That's neat and tidy. If you want to modify anything, you edit
# the .nw file.
#
# Once you've done all the Debian changes, you run debian/rules binary,
# and get all the .c files and such updated. Once you're done, you
# run debian/rules clean, which leaves the generated .c files around
# for porters. You then generate a .diff.gz, and all should be well.
#
# Useful targets of the toplevel makefile:
# clobber:
#   * gets rid of all the generated files except Makefile,
#     make{c,nw}dep.sh, which are needed to bootstrap
#
# distclean:
#   * removes ALL generated files.  Use with care.
#
# docs: 
#   * builds the documentation. Note that this is not done per
#     default (only executables are built). If this is added to
#     the default build process (which will not be done in the near
#     future since dia requires an X display even if using the -e option) 
#     the 'tetex-base' and 'dia' packages would need to be added to the
#     Build-Dep
#
######################################################################

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# For working out whether we're cross-building
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# user/group of to-be-installed files
ROOT_USER  := 0
ROOT_GROUP := 0

ifeq (,$(wildcard /usr/bin/po2debconf))
PO2DEBCONF := no
MINDEBCONFVER := 0.5
else
PO2DEBCONF := yes
MINDEBCONFVER := 1.2.0
endif

configure:
	dh_testdir

build: build-stamp
build-stamp: # configure
	dh_testdir

	if [ -x /usr/bin/noweb ]; then \
	  $(MAKE) clobber; \
	else \
	  chmod a+rx defn2c.pl defn2man.pl makecdep.sh makenwdep.sh; \
	fi
	$(MAKE)
	touch build-stamp

test: build
	dh_testdir

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	chmod a+rx debian/testbuild
	@echo running debian/testbuild
	@if ! debian/testbuild; then \
	     echo '=================================================='; \
	     echo 'AUTOMATIC TESTS FAILED -- Something built wrong or'; \
	     echo 'there is a bug in the code!!! Either way something'; \
	     echo 'is completely screwed up!!! File a bug!'; \
	     echo ''; \
	     echo 'Aborting build.'; \
	     echo '=================================================='; \
	     exit 1; \
	fi
endif

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process
	rm -rf tests/
	rm -f build-stamp install-stamp
	-$(MAKE) clean

	dh_clean
ifeq ($(PO2DEBCONF),yes)
	# Hack for woody compatibility. This makes sure that the
	# debian/templates file shipped in the source package doesn't
	# specify encodings, which woody's debconf can't handle. If building
	# on a system with po-debconf installed (conveniently debhelper (>=
	# 4.1.16) depends on it), the binary-arch target will generate a
	# better version for sarge.
	echo 1 > debian/po/output
	po2debconf debian/templates.master > debian/templates
	rm -f debian/po/output
endif

install-stamp: install
install: build test
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs etc/network/if-pre-up.d etc/network/if-up.d etc/network/if-down.d etc/network/if-post-down.d

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install BASEDIR=`pwd`/debian/tmp

	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-0.5.x.pl \
		debian/tmp/usr/share/ifupdown/
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build-stamp install-stamp
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples contrib/*
	mv debian/tmp/usr/share/doc/ifupdown/examples debian/tmp/usr/share/doc/ifupdown/contrib
	dh_installexamples examples/*
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit --name=ifupdown --no-start -- start 39 S .  start 36 0 6 .
	dh_installinit --name=ifupdown-clean --no-start -- start 18 S .
	dh_installcron
#	dh_installmanpages
#	   ^-- can't do our symlink trick
	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 interfaces.5 debian/tmp/usr/share/man/man5/interfaces.5
	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 ifup.8 debian/tmp/usr/share/man/man8/ifup.8
	ln -s ifup.8 debian/tmp/usr/share/man/man8/ifdown.8
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
ifeq ($(PO2DEBCONF),yes)
	po2debconf -e utf8 debian/templates.master > debian/templates
endif
	dh_gencontrol -- -V'debconf-depends=debconf (>= $(MINDEBCONFVER)) | debconf-2.0'
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure test

## ifupdown 0.6.8ubuntu12~nm1~hardy1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 DEFNFILES := inet.defn ipx.defn inet6.defn
 
 OBJ := main.o addrfam.o execute.o config.o \
-	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o
+	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o \
+	dictionary.o iniparser.o
 
 MAN := $(patsubst %.defn,%.man,$(DEFNFILES))

=== debian/changelog ===
ifupdown (0.6.8ubuntu12~nm1~hardy1) hardy; urgency=low

  * resurrect _darcs directory

 -- Alexander Sack <asac@ubuntu.com>  Mon, 13 Oct 2008 00:12:03 +0200

ifupdown (0.6.8ubuntu11) intrepid; urgency=low

  * If the /etc/NetworkManager/nm-system-settings.conf file is present
    but doesn't have the "ifupdown:managed" the previous upload instructed
    the iniparser to return -1, which evaluates to TRUE. We instead instruct
    it to return 0, as we shouldn't prevent ifupdown from managing the
    interfaces in that case, as NM won't either. (LP: #281984)

 -- James Westby <james.westby@canonical.com>  Sun, 12 Oct 2008 16:09:15 +0100

ifupdown (0.6.8ubuntu10) intrepid; urgency=low

  https://lists.ubuntu.com/archives/ubuntu-devel/2008-October/026656.html:

  * stop ifupdown to auto-up/down interfaces if network-manager's
    ifupdown plugin is in managed=true mode
    - add iniparser3.0b sources
      + add dictionary.c,dictionary.h,iniparser.c,iniparser.h
    - Makefile: add iniparser objects to build (aka OBJ)

 -- Alexander Sack <asac@ubuntu.com>  Thu, 09 Oct 2008 16:46:47 +0200

ifupdown (0.6.8ubuntu9) intrepid; urgency=low

  * debian/ifupdown.rules: (the udev rule) ensure that the init script
    /etc/network/networking has been started to ensure that the udev
    script does not start too early in the boot process. This way we
    ensure that the root file system is already writable and ifupdown has
    a chance to actually work. LP: #44194
  * Add versioned dependency on a version of netbase that actually does
    indicate that it has been configured.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Jun 2008 23:32:56 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: ifupdown
 Architecture: any
-Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3)
+Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3), netbase (>= 4.30ubuntu1)
 Suggests: iproute, dhcp3-client | dhcp-client, ppp
 Replaces: netbase (<< 4.00)
 Description: high level tools to configure network interfaces

=== debian/rules ===
--- 
+++ 
@@ -123,6 +123,11 @@
 
 	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-0.5.x.pl \
 		debian/tmp/usr/share/ifupdown/
+	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-hotplug.pl \
+		debian/tmp/usr/share/ifupdown/
+
+	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 debian/ifupdown.rules \
+		debian/tmp/etc/udev/rules.d/85-ifupdown.rules
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -142,8 +147,7 @@
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
-	dh_installinit --name=ifupdown-clean --no-start -- start 18 S .
-	dh_installinit --name=ifupdown --no-start -- start 39 S .  start 36 0 6 .
+	dh_installinit --name=loopback --no-start -- start 08 S .
 	dh_installcron
 #	dh_installmanpages
 #	   ^-- can't do our symlink trick

## ifupdown 0.6.8ubuntu12

=== debian/changelog ===
ifupdown (0.6.8ubuntu12) intrepid; urgency=low

  * resurrect _darcs directory

 -- Alexander Sack <asac@ubuntu.com>  Mon, 13 Oct 2008 00:12:03 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: ifupdown
 Architecture: any
-Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3), netbase (>= 4.30ubuntu1)
+Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3), netbase (>= 4.30ubuntu2)
 Suggests: iproute, dhcp3-client | dhcp-client, ppp
 Replaces: netbase (<< 4.00)
 Description: high level tools to configure network interfaces

## ifupdown 0.6.8ubuntu19

=== debian/changelog ===
ifupdown (0.6.8ubuntu19) jaunty; urgency=low

  * debian/ifupdown.udev: In fact, there's no reason not to call the ifup
    unconditionally either; if it doesn't have a driver, but is listed in
    /etc/network/interfaces with "auto" we can still have a crack at
    bringing it up.  We may as well make the /var/run/network directory
    in this rule too.
  * debian/loopback.init: Then this init script can go away.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 14:13:53 +0000

ifupdown (0.6.8ubuntu18) jaunty; urgency=low

  * debian/ifupdown.udev: Unconditionally call ifdown when the network
    interface is removed, instead of checking DRIVERS which is likely gone
    anyway.  LP: #130437.
  * Clean up the mess of the rules file while I was in there ;)

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 14:11:42 +0000

ifupdown (0.6.8ubuntu17) jaunty; urgency=low

  * Restore _darcs directory caused by using intrepid's dpkg; makes the
    Debian->Ubuntu diff somewhat more readable. 

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 14:01:18 +0000

ifupdown (0.6.8ubuntu16) jaunty; urgency=low

  * modprobe failures for ipv6 are benign as the module is likely built-in.
    (LP: #107432)
  * modprobe -Q is now deprecated and going away, move to using -q.
  * modprobe for ipv6 should honour the blacklists.
  * update all generated files to match their source versions (*.defn,
    main.c).

 -- Andy Whitcroft <apw@canonical.com>  Thu, 05 Mar 2009 13:47:48 +0000

ifupdown (0.6.8ubuntu15) jaunty; urgency=low

  * Add Breaks to ensure the right version of udev is used.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 09 Jan 2009 11:55:30 +0000

ifupdown (0.6.8ubuntu14) jaunty; urgency=low

  * debian/ifupdown.rules: Rename to debian/ifupdown.udev so debhelper can
    pick it up.
  * debian/rules: Use dh_installudev to install the udev rule.
  * debian/dirs: Drop /etc/udev/rules.d
  * debian/conffiles: Drop old rules location.
  * debian/control: Increase dependency on debhelper.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 07 Jan 2009 10:22:03 +0000

ifupdown (0.6.8ubuntu13) jaunty; urgency=low

  * debian/ifupdown.rules: remove udev rule that ensures that the networking
    init script has been started. We want to configure network interfaces as
    soon as possible ie at discovery time. ifupdown scripts that don't work
    early in the boot process should fail gracefully and leave the interface
    unconfigured until networking is started.

 -- Mathias Gug <mathiaz@ubuntu.com>  Wed, 26 Nov 2008 18:34:03 -0500

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 XSBC-Original-Maintainer: Anthony Towns <ajt@debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 4.1.68), nowebm
+Build-Depends: debhelper (>= 7.0.17ubuntu2), nowebm
 
 Package: ifupdown
 Architecture: any
 Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3), netbase (>= 4.30ubuntu2)
 Suggests: iproute, dhcp3-client | dhcp-client, ppp
 Replaces: netbase (<< 4.00)
+Breaks: udev (<< 136-1)
 Description: high level tools to configure network interfaces
  This package provides the tools ifup and ifdown which may be used to
  configure (or, respectively, deconfigure) network interfaces based on

=== debian/rules ===
--- 
+++ 
@@ -126,8 +126,6 @@
 	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-hotplug.pl \
 		debian/tmp/usr/share/ifupdown/
 
-	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 debian/ifupdown.rules \
-		debian/tmp/etc/udev/rules.d/85-ifupdown.rules
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -147,7 +145,7 @@
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
-	dh_installinit --name=loopback --no-start -- start 08 S .
+	dh_installudev --priority=85
 	dh_installcron
 #	dh_installmanpages
 #	   ^-- can't do our symlink trick

## ifupdown 0.6.8ubuntu21

=== debian/changelog ===
ifupdown (0.6.8ubuntu21) karmic; urgency=low

  * --no-scripts is not --noscripts.  LP: #430878.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 Sep 2009 15:30:28 -0700

ifupdown (0.6.8ubuntu20) karmic; urgency=low

  FFE LP: #427356.

  * Replace the udev rule with a per-interface Upstart job.
  * Add a "networking" job that partially replaces the networking init
    script from netbase.
  * debian/control:
    - Bump build-dependency on debhelper for Upstart-aware dh_installinit
    - Add missing ${misc:Depends}

  * Add if-up and if-down scripts to emit Upstart events when interfaces
    come up and go down.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 03:30:29 +0100

=== debian/rules ===
--- 
+++ 
@@ -145,7 +145,10 @@
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
-	dh_installudev --priority=85
+	dh_installinit --name=network-interface --upstart-only --noscripts
+	dh_installinit --name=networking --upstart-only --noscripts
+	dh_installifupdown --name=upstart
+#	dh_installudev --priority=85
 	dh_installcron
 #	dh_installmanpages
 #	   ^-- can't do our symlink trick

## ifupdown 0.6.8ubuntu21.3

=== debian/changelog ===
ifupdown (0.6.8ubuntu21.3) karmic-proposed; urgency=low

  * debian/ifupdown.network-interface.conf: Bring up lo manually, so that it
    comes up even if /etc/network/interfaces is broken (LP: #512253).
  * debian/ifupdown.upstart.if-up: Don't emit a duplicate net-device-up
    event for lo here, as network-interface.conf will have taken care of it.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Jul 2010 14:06:36 +0100

ifupdown (0.6.8ubuntu21.2) karmic-proposed; urgency=low

  * Backport fix from lucid for the file conflict with netbase that results
    from rebuilding with the current debhelper.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Feb 2010 18:17:51 +0000

ifupdown (0.6.8ubuntu21.1) karmic-proposed; urgency=low

  * debian/postinst: if the loopback interface is missing from the config in
    /etc/network/interfaces, add it on upgrade; there is no valid use case
    for a system without localhost, and not bringing this up will cause
    upstart runlevel handling to fail.  LP: #497299.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 Feb 2010 21:36:34 -0800

=== debian/rules ===
--- 
+++ 
@@ -147,6 +147,8 @@
 #	dh_installpam
 	dh_installinit --name=network-interface --upstart-only --noscripts
 	dh_installinit --name=networking --upstart-only --noscripts
+	# FIXME: this rm must be dropped once netbase has been fully upstartified
+	rm debian/tmp/etc/init.d/networking
 	dh_installifupdown --name=upstart
 #	dh_installudev --priority=85
 	dh_installcron
